'use strict';
const webpack = require('webpack');

const paths = require('./paths');
const webpackConfigBase = require('./webpack.config.base');

const webpackConfigProd = Object.assign({}, webpackConfigBase);

webpackConfigProd.output.pathinfo = false;
if (process.env.NODE_ENV === 'development') {
  webpackConfigProd.target = 'node';
} else {
  webpackConfigProd.output.publicPath = '../';
}

webpackConfigProd.plugins.push(
  new webpack.optimize.UglifyJsPlugin({
    include: /\.js$/,
    minimize: true,
    compress: {
      warnings: false
    }
  })
);

console.log(process.env.NODE_ENV);

module.exports = webpackConfigProd;
